- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# QResource Class Reference

Search for all occurrences

## Detailed Description

Definition at line 58 of file qresource.h.

`#include <qresource.h>`

List of all members.

## Public Member Functions
| QResource (const QString &file=QString(), const QLocale &locale=QLocale())
| ~QResource ()
void | setFileName (const QString &file)
QString | fileName () const
QString | absoluteFilePath () const
void | setLocale (const QLocale &locale)
QLocale | locale () const
bool | isValid () const
bool | isCompressed () const
qint64 | size () const
const uchar * | data () const
## Static Public Member Functions
static void | addSearchPath (const QString &path)
static QStringList | searchPaths ()
static bool | registerResource (const QString &rccFilename, const QString &resourceRoot=QString())
static bool | unregisterResource (const QString &rccFilename, const QString &resourceRoot=QString())
static bool | registerResource (const uchar *rccData, const QString &resourceRoot=QString())
static bool | unregisterResource (const uchar *rccData, const QString &resourceRoot=QString())
## Protected Member Functions
bool | isDir () const
bool | isFile () const
QStringList | children () const
## Protected Attributes
QScopedPointer< QResourcePrivate > | d_ptr
## Friends
class | QResourceFileEngine
class | QResourceFileEngineIterator

## Constructor & Destructor Documentation

QResource | ( | const QString & | file = `QString()`,
|  | const QLocale & | locale = `QLocale()`
| ) |  |

~QResource | ( |  | ) |

## Member Function Documentation

void setFileName | ( | const QString & | file | ) |

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

QString absoluteFilePath | ( |  | ) | const

Search for all occurrences

void setLocale | ( | const QLocale & | locale | ) |

Search for all occurrences

QLocale locale | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

bool isCompressed | ( |  | ) | const

Search for all occurrences

qint64 size | ( |  | ) | const

Search for all occurrences

const uchar* data | ( |  | ) | const

Search for all occurrences

static void addSearchPath | ( | const QString & | path | ) | `[static]`

Search for all occurrences

static QStringList searchPaths | ( |  | ) | `[static]`

Search for all occurrences

static bool registerResource | ( | const QString & | rccFilename,
|  | const QString & | resourceRoot = `QString()`
| ) |  | `[static]`

Search for all occurrences

static bool unregisterResource | ( | const QString & | rccFilename,
|  | const QString & | resourceRoot = `QString()`
| ) |  | `[static]`

Search for all occurrences

static bool registerResource | ( | const uchar * | rccData,
|  | const QString & | resourceRoot = `QString()`
| ) |  | `[static]`

Search for all occurrences

static bool unregisterResource | ( | const uchar * | rccData,
|  | const QString & | resourceRoot = `QString()`
| ) |  | `[static]`

Search for all occurrences

bool isDir | ( |  | ) | const `[protected]`

Search for all occurrences

bool isFile | ( |  | ) | const `[inline, protected]`

Search for all occurrences

Definition at line 90 of file qresource.h.

    { return !isDir(); }

QStringList children | ( |  | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QResourceFileEngine `[friend]`

Search for all occurrences

Definition at line 87 of file qresource.h.

friend class QResourceFileEngineIterator `[friend]`

Search for all occurrences

Definition at line 88 of file qresource.h.

## Member Data Documentation

QScopedPointer<QResourcePrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 94 of file qresource.h.

The documentation for this class was generated from the following file:

- QtCore/qresource.h

QResource QResource QResource QResource QResource QResource QResource QResource QResource QResource
QResource QResource QResource QResource QResource QResource QResource QResource QResource QResource